## GstDirectControlBinding

GstDirectControlBinding — direct attachment for control sources

## Functions

GstControlBinding * | gst_direct_control_binding_new ()
GstControlBinding * | gst_direct_control_binding_new_absolute ()

## Properties

gboolean | absolute | Read / Write / Construct Only
GstControlSource * | control-source | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlBinding
                    ╰── GstDirectControlBinding

## Includes

    #include <libs/controller/gstdirectcontrolbinding.h>

## Description

A value mapping object that attaches control sources to gobject properties. It will map the control values directly to the target property range. If a non-absolute direct control binding is used, the value range [0.0 ... 1.0] is mapped to full target property range, and all values outside the range will be clipped. An absolute control binding will not do any value transformations.

## Functions

### gst_direct_control_binding_new ()

    GstControlBinding *
    gst_direct_control_binding_new (GstObject *object,
                                    const gchar *property_name,
                                    GstControlSource *cs);

Create a new control-binding that attaches the GstControlSource to the GObject property. It will map the control source range [0.0 ... 1.0] to the full target property range, and clip all values outside this range.

#### Parameters

object | the object of the property |
property_name | the property-name to attach the control source |
cs | the control source |

#### Returns

the new GstDirectControlBinding.

[transfer floating]

### gst_direct_control_binding_new_absolute ()

    GstControlBinding *
    gst_direct_control_binding_new_absolute
                                   (GstObject *object,
                                    const gchar *property_name,
                                    GstControlSource *cs);

Create a new control-binding that attaches the GstControlSource to the GObject property. It will directly map the control source values to the target property range without any transformations.

#### Parameters

object | the object of the property |
property_name | the property-name to attach the control source |
cs | the control source |

#### Returns

the new GstDirectControlBinding.

[transfer floating]

Since: 1.6

## Types and Values

## Property Details

### The `“absolute”` property

      “absolute”                 gboolean

Whether the control values are absolute.

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“control-source”` property

      “control-source”           GstControlSource *

The control source.

Flags: Read / Write / Construct